List terms for a skill taxonomy
GET
/v1/skill-taxonomies/{taxonomyId}/termscurl -X GET 'https://api.embodiflow.io/v1/skill-taxonomies/{taxonomyId}/terms' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
路径参数
- taxonomyIdstring必填
查询参数
- pageSizenumber
Page size (default 25, maximum 100). Over-maximum is refused.
- pageTokenstring
Opaque page token from the previous response.
响应
Success
- dataarray<SkillTaxonomyTermDto>必填
- idstring | null必填
- termIdentitystring必填
- codestring必填
- displayLabelstring必填
- labelsobject必填
- parentTermIdentitystring | null必填
- assignableone of必填
- definitionstring必填
- positiveExamplesarray<string>必填
- negativeExamplesarray<string>必填
- externalMappingsarray<SkillExternalMapping>必填
- originLayerstring必填可选值tenantprojectplatform
- statusstring必填可选值activedeprecatedretired
- successorTermIdentitystring | null必填
- enabledone of必填
- coverageFloorone of必填
- provenanceobject必填
- sourcesobject必填
- nextPageTokenstring
Opaque AIP-158 page token. Omitted when the collection is exhausted.
- metaobject必填
- pageSizenumber必填
- totalCountnumber
- requestIdstring
响应示例
{
"data": [
{
"id": "string",
"termIdentity": "string",
"code": "string",
"displayLabel": "string",
"labels": {},
"parentTermIdentity": "string",
"assignable": false,
"definition": "string",
"positiveExamples": [
"string"
],
"negativeExamples": [
"string"
],
"externalMappings": [
{
"source": "string",
"sourceVersion": "string",
"externalCode": "string",
"externalLabel": "string",
"mappingKind": "exact",
"confidence": 0
}
],
"originLayer": "tenant",
"status": "active",
"successorTermIdentity": "string",
"enabled": false,
"coverageFloor": false,
"provenance": {
"originLayer": "tenant",
"sourceRevision": "string",
"fields": {}
},
"sources": {}
}
],
"nextPageToken": "string",
"meta": {
"pageSize": 0,
"totalCount": 0,
"requestId": "string"
}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1